# Author: Kapil Thangavelu <kvthan@wm.edu>
# License: GPL <www.gnu.org>
# CVS: $Id: __init__.py,v 1.2 2001/10/02 18:28:10 ender Exp $

import eventchannel

def initialize(context):
    
    context.registerClass(
            eventchannel.EventChannel,
            constructors = (
                            eventchannel.manage_addEventChannelForm,
                            eventchannel.manage_addEventChannel
                            ),
            permissions = "Add EventChannel",
            icon = "www/event_channel.png"
    )
    
    context.registerHelp()
    
